import java.io.*;
import java.util.*;

public class crosses_md implements Runnable {
	private BufferedReader in;
	private PrintWriter out;

	public void run() {
		try {
			solve();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	private void solve() throws Exception {
		Locale.setDefault(Locale.US);
		in = new BufferedReader(new InputStreamReader(System.in));
		out = new PrintWriter(System.out);
		String s = in.readLine();
		int left = -1, right = -1, row = 0, crosses = 0;
		for (int i = 0; i < s.length(); i++) {
			if (s.charAt(i) == '.') {
				row = 0;
			} else {
				crosses++;
				row++;
				if (row >= 3) {
					if (left == -1)
						left = i;
					right = i;
				}
			}
		}
		if (left == -1) {
			out.println("Nobody");
		} else if (right - left >= 3) {
			out.println("Invalid");
		} else if (crosses % 2 == 1) {
			out.println("First");
		} else
			out.println("Second");
		in.close();
		out.close();
	}

	public static void main(String[] args) {
		new Thread(new crosses_md()).start();
	}
}
